Get time entry summary
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"total_minutes": 123,
"total_billable_minutes": 123,
"total_billable_amount": 123,
"by_customer": [
{
"total_minutes": 123,
"total_billable_minutes": 123,
"total_billable_amount": 123,
"entry_count": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"by_service": [
{
"total_minutes": 123,
"total_billable_minutes": 123,
"total_billable_amount": 123,
"entry_count": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
}Reports
Get time entry summary
Returns aggregated summary statistics for time entries, including totals and breakdowns by customer and service.
GET
/
v1
/
businesses
/
{businessId}
/
time-tracking
/
time-entries
/
summary
Get time entry summary
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
Query Parameters
Whether to include deleted time entries in the summary.
Filter by customer UUID.
Filter entries that have (true) or do not have (false) a customer assigned.
Filter by service UUID.
Filter entries on or after this date (YYYY-MM-DD).
Filter entries on or before this date (YYYY-MM-DD).
Filter by billable status.
Response
200 - application/json
Success.
Show child attributes
Show child attributes